# Exam Offerings Exam Offerings ## Creates a new exam offering record that does not already exist. - [POST /examOfferings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/createexamoffering.md): This method will auto-generate an ID and create a new exam offering. If an ID is specified for the exam offering, an error will be thrown. ## Execute Batch Operations - [POST /examOfferings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified course_offering_id - [GET /examOfferings/{tenantId}/courseOffering/{course_offering_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/listofferingsbycourseofferingid.md): Returns a list of records with the specified course_offering_id ## Returns a list of records with the specified exam_id - [GET /examOfferings/{tenantId}/exam/{exam_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/listofferingsbyexamid.md): Returns a list of records with the specified exam_id ## Returns a list of records with the specified exam_id - [GET /examOfferings/{tenantId}/portal/{contact_id}/describeForExam/{exam_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/describeofferings.md): Returns a list of records with the specified exam_id ## Searches for exam offerings using predefined parameters - [POST /examOfferings/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/searchforexamofferings.md): Searches for exam offerings using predefined parameters ## Returns a list of records with the specified testing_facility_id - [GET /examOfferings/{tenantId}/testingFacility/{testing_facility_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/listofferingsbytestingfacilityid.md): Returns a list of records with the specified testing_facility_id ## Returns a exam offering from the system by its ID. - [DELETE /examOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/deleteexamoffering.md): This method will delete a exam offering with the specified ID. ## Returns a exam offering from the system by its ID. - [GET /examOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/getexamoffering.md): This method will look up a exam offering by the specified ID and return it back. ## Partially updates a exam offering with the specified ID. - [PATCH /examOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/patchexamoffering.md): This method will patch an existing exam offering with the specified ID, using the HTTP PATCH specification. ## Updates a exam offering with the specified ID. - [PUT /examOfferings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-offerings/updateexamoffering.md): This method will update an existing exam offering with the specified ID.